/*******************************************************************************
* File Name: Selectttttttt.c  
* Version 1.60
*
* Description:
*  This file contains API to enable firmware control of a Pins component.
*
* Note:
*
********************************************************************************
* Copyright 2008-2010, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
********************************************************************************/

#include "cytypes.h"
#include "Selectttttttt.h"


/*******************************************************************************
* Function Name: Selectttttttt_Write
********************************************************************************
* Summary:
*  Assign a new value to the digital port's data output register.  
*
* Parameters:  
*  prtValue:  The value to be assigned to the Digital Port. 
*
* Return: 
*  void 
*  
*******************************************************************************/
void Selectttttttt_Write(uint8 value) 
{
    uint8 staticBits = Selectttttttt_DR & ~Selectttttttt_MASK;
    Selectttttttt_DR = staticBits | ((value << Selectttttttt_SHIFT) & Selectttttttt_MASK);
}


/*******************************************************************************
* Function Name: Selectttttttt_SetDriveMode
********************************************************************************
* Summary:
*  Change the drive mode on the pins of the port.
* 
* Parameters:  
*  mode:  Change the pins to this drive mode.
*
* Return: 
*  void
*
*******************************************************************************/
void Selectttttttt_SetDriveMode(uint8 mode) 
{
	CyPins_SetPinDriveMode(Selectttttttt_0, mode);
}


/*******************************************************************************
* Function Name: Selectttttttt_Read
********************************************************************************
* Summary:
*  Read the current value on the pins of the Digital Port in right justified 
*  form.
*
* Parameters:  
*  void 
*
* Return: 
*  Returns the current value of the Digital Port as a right justified number
*  
* Note:
*  Macro Selectttttttt_ReadPS calls this function. 
*  
*******************************************************************************/
uint8 Selectttttttt_Read(void) 
{
    return (Selectttttttt_PS & Selectttttttt_MASK) >> Selectttttttt_SHIFT;
}


/*******************************************************************************
* Function Name: Selectttttttt_ReadDataReg
********************************************************************************
* Summary:
*  Read the current value assigned to a Digital Port's data output register
*
* Parameters:  
*  void 
*
* Return: 
*  Returns the current value assigned to the Digital Port's data output register
*  
*******************************************************************************/
uint8 Selectttttttt_ReadDataReg(void) 
{
    return (Selectttttttt_DR & Selectttttttt_MASK) >> Selectttttttt_SHIFT;
}


/* If Interrupts Are Enabled for this Pins component */ 
#if defined(Selectttttttt_INTSTAT) 

    /*******************************************************************************
    * Function Name: Selectttttttt_ClearInterrupt
    ********************************************************************************
    * Summary:
    *  Clears any active interrupts attached to port and returns the value of the 
    *  interrupt status register.
    *
    * Parameters:  
    *  void 
    *
    * Return: 
    *  Returns the value of the interrupt status register
    *  
    *******************************************************************************/
    uint8 Selectttttttt_ClearInterrupt(void) 
    {
        return (Selectttttttt_INTSTAT & Selectttttttt_MASK) >> Selectttttttt_SHIFT;
    }

#endif /* If Interrupts Are Enabled for this Pins component */ 


/* [] END OF FILE */ 
